
function round(num, numDecimalPlaces)
  local mult = 10^(numDecimalPlaces or 0)
  return math.floor(num * mult + 0.5) / mult
end

function onCreate()
    makeLuaSprite('FirstBar', 'health/HIGHHP', 820, 20)
    makeLuaSprite('FirstMIDBar', 'health/MIDDLEHP', 820, 20)
    makeLuaSprite('FirstLOWBar', 'health/LOWHP', 820, 20)
    makeLuaSprite('SecondBar', 'health/HIGHHP', 20, 20)
    makeLuaSprite('SecondMIDBar', 'health/MIDDLEHP', 820, 20)
    makeLuaSprite('SecondLOWBar', 'health/LOWHP', 820, 20)
    addLuaSprite('SecondBar', true)


    scaleObject('FirstBar', 0.7, 0.7)
    scaleObject('FirstMIDBar', 0.7, 0.7)
    scaleObject('FirstLOWBar', 0.7, 0.7)
    scaleObject('SecondBar', 0.7, 0.7)
    setObjectCamera('FirstBar', 'camHUD')
    setObjectCamera('FirstMIDBar', 'camHUD')
    setObjectCamera('FirstLOWBar', 'camHUD')
    setObjectCamera('SecondBar', 'camHUD')

    makeLuaText('First', 'Reptile', 0, 0, 0)
	setTextSize('First', 30)
	screenCenter('First', 'x')
    setProperty('First.x', getProperty('First.x') -525)
    setProperty('First.y', getProperty('First.y') +26)
    setTextColor("First", 'FFB82C')
    setTextBorder('First', 0.5, 'FFD52A')
	addLuaText('First')
    setTextFont('First', 'mortalkombat2.ttf')

    makeLuaText('Second', 'Boyfriend', 0, 0, 0)
	setTextSize('Second', 30)
	screenCenter('Second', 'x')
    setProperty('Second.x', getProperty('Second.x') +520)
    setProperty('Second.y', getProperty('Second.y') +26)
    setTextColor("Second", 'FFB82C')
    setTextBorder('Second', 0.5, 'FFD52A')
	addLuaText('Second', true)
    setTextFont('Second', 'mortalkombat2.ttf')
    setObjectOrder('Second', 50)


    makeLuaText('Timer', round(songLength/1000) - round(getSongPosition()/1000), 0, 0, 0)
    setTextSize('Timer', 40)
	screenCenter('Timer', 'x')
    setProperty('Timer.y', getProperty('Timer.y') +30)
    setTextColor("Timer", 'B30900')
    setTextBorder('Timer', 0.5, '000000')
    addLuaText('Timer', true)
    setTextFont('Timer', 'mortalkombat2.ttf')

end

function onCreatePost()
    setProperty('healthBarOver.visible', false)
    setProperty('SecondBar.flipX', true)
    setProperty('healthBar.visible', false)
    setProperty('healthBarBG.visible', false)
    setProperty('iconP1.visible', false)
    setProperty('iconP2.visible', false)
    setProperty('scoreTxt.visible', false)
end

function onUpdate()
    setTextString('Timer', round(songLength/1000) - round(getSongPosition()/1000))
    if getProperty("health") <= 0.10 then
    removeLuaSprite('FirstBar', false)
    removeLuaSprite('FirstMIDBar', false)
    addLuaSprite('FirstLOWBar', false)
        else if getProperty("health") <= 0.5 then
                addLuaSprite('FirstMIDBar', false)
            else if getProperty("health") <= 1.0 then
                removeLuaSprite('FirstMIDBar', false)
                addLuaSprite('FirstBar', false)

            end
        end
    end
end
