function onCreate()
	--Iterate over all notes
	for i = 0, getProperty('unspawnNotes.length')-1 do
		--Check if the note is a Bullet
		if getPropertyFromGroup('unspawnNotes', i, 'noteType') == 'Combo' then
			setPropertyFromGroup('unspawnNotes', i, 'texture', 'ComboNotes'); --Change texture

			if getPropertyFromGroup('unspawnNotes', i, 'mustPress') then --Doesn't let Dad/Opponent notes get ignored
				setPropertyFromGroup('unspawnNotes', i, 'ignoreNote', false); --Miss has penalties
			end
		end
	end
end

local shootAnims = {"singLEFT-alt", "singUDOWN-alt", "singUP-alt", "singRIGHT-alt"}
function goodNoteHit(id, direction, noteType, isSustainNote)
	if noteType == 'Combo' then
		if difficulty <= 1 then
		end
		characterPlayAnim('dad', shootAnims[direction + 1], true);
		setProperty('dad.specialAnim', true)
		characterPlayAnim('boyfriend', 'dodge', false);
		setProperty('boyfriend.specialAnim', false)
    end
end	

function noteMiss(id, direction, noteType, isSustainNote)
	if noteType == 'Combo' then
		addHealth(-0.2)
		characterPlayAnim('dad', shootAnims[direction + 1], true);
		characterPlayAnim('boyfriend', 'hurt', true);
end
	if noteType == 'Combo' and difficulty <= 1 then
		setProperty('health', getProperty('health')-0.8);
		characterPlayAnim('boyfriend', 'hurt', false);
	end
end
