function onCreate()
	setPropertyFromClass('GameOverSubstate', 'characterName', 'bf');
	setProperty('gfGroup.visible', false)

	makeLuaSprite('pool', 'DP/Back',-500, -250)
	makeLuaSprite('bcs', 'DP/BackChains',-500, -250)
	makeLuaSprite('frontool', 'DP/Frontal',-500, -250)
	makeLuaSprite('fcs', 'DP/FrontChains',-500, -250)
	makeAnimatedLuaSprite('Popup', 'Fight', 150, 230, true)
	addLuaSprite('pool')
	addLuaSprite('bcs')
	addLuaSprite('frontool')
	addLuaSprite('fcs', true)

	scaleObject('pool', 0.7, 0.7)
	scaleObject('bcs', 0.6, 0.6)
	scaleObject('frontool', 0.7, 0.7)
	scaleObject('fcs', 0.7, 0.7)

	addAnimationByPrefix('Popup', 'Go', 'GO!!', 24, false)
	doTweenAlpha('camtween', 'camHUD', 0, 0.1, linear)
	setObjectOrder('dadGroup', getObjectOrder('boyfriendGroup') + 1)
end

function onStepHit()
	if curStep == 23 then
		addLuaSprite('Popup', true)
	end
	if curStep == 30 then 
		removeLuaSprite('Popup', true)
		doTweenAlpha('camsecond', 'camHUD', 1, 0.5, linear)
	end
	if curStep == 575 then
		setProperty("boyfriendCameraOffset[0]", -160)
		setProperty("boyfriendCameraOffset[1]", 50)
		doTweenZoom('camsssasd', 'camGame', 1.2, 3, 'linear')
		doTweenAlpha('gone', 'pool', 0, 3, 'linear')
		doTweenAlpha('gonezo', 'dad', 0, 3, 'linear')
		doTweenAlpha('gonerino', 'frontool', 0, 3, 'linear')
		doTweenAlpha('gonerisno', 'bcs', 0, 3, 'linear')
		doTweenAlpha('gonerinsso', 'fcs', 0, 3, 'linear')
	end
	if curStep == 602 then
		doTweenX('mnoves', 'dad', 530, 0.5, 'linear')
		doTweenX('bfnoves', 'boyfriend', 1030, 0.5, 'linear')
	end
	if curStep == 605 then 
		setProperty('dad.x', 530)
		setProperty('boyfriend.x', 1010)
	end
	if curStep == 607 then
		doTweenAlpha('come', 'pool', 1, 0.5, 'linear')
		doTweenAlpha('comezo', 'dad', 1, 0.5, 'linear')
		doTweenAlpha('comerino', 'frontool', 1, 0.5, 'linear')
		doTweenAlpha('comezso', 'bcs', 1, 0.5, 'linear')
		doTweenAlpha('comerinso', 'fcs', 1, 0.5, 'linear')
	end
		if curStep == 608 then
			setProperty("boyfriendCameraOffset[0]", -130)
			setProperty("boyfriendCameraOffset[1]", -45)
			setProperty("opponentCameraOffset[0]", -50)
			setProperty("opponentCameraOffset[1]", 2)
	end
end


function onUpdate()
	setProperty('timeBar.visible', false)
	setProperty('timeTxt.visible', false)
	setProperty('timeBarBG.visible', false)
end

