function onCreate()
	--Iterate over all notes
	for i = 0, getProperty('unspawnNotes.length')-1 do
		--Check if the note is a Bullet
		if getPropertyFromGroup('unspawnNotes', i, 'noteType') == 'death' then
			setPropertyFromGroup('unspawnNotes', i, 'texture', 'DEATHNOTE_Assets'); --Change texture

			if getPropertyFromGroup('unspawnNotes', i, 'mustPress') then --Doesn't let Dad/Opponent notes get ignored
				setPropertyFromGroup('unspawnNotes', i, 'ignoreNote', false); --Miss has penalties
				setProperty('unspawnNotes.angle', 90);
			end
		end
	end
end

local shootAnims = {"singDOWN-alt", "singDOWN-alt", "singDOWN-alt", "singDOWN-alt"}
function goodNoteHit(id, direction, noteType, isSustainNote)
	if noteType == 'death' then
		characterPlayAnim('dad', shootAnims[direction + 1], true);
		setProperty('dad.specialAnim', true)
		characterPlayAnim('boyfriend', 'dodge', false);
		setProperty('boyfriend.specialAnim', false)
		-- runTimer (for play sweep anim then kill bf)
    end
end	

function noteMiss(id, noteData, noteType, isSustainNote)
	if noteType == 'death' then
		setProperty('health', -500);
		startVideo('dier', 1)
		playSound('dier', 1)
	end
end
